
From: Vinay K Nallamothu <vinay-rc@naturesoft.net>

s/spin_lock_irqrestore/spin_unlock_irqrestore/


 Documentation/DocBook/kernel-locking.tmpl |    2 +-
 drivers/usb/serial/digi_acceleport.c      |    4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

diff -puN Documentation/DocBook/kernel-locking.tmpl~spin_lock_irqrestore-fixes Documentation/DocBook/kernel-locking.tmpl
--- 25/Documentation/DocBook/kernel-locking.tmpl~spin_lock_irqrestore-fixes	2003-08-23 15:21:18.000000000 -0700
+++ 25-akpm/Documentation/DocBook/kernel-locking.tmpl	2003-08-23 15:21:18.000000000 -0700
@@ -463,7 +463,7 @@
       <function>spin_lock_irqsave()</function> 
       (<filename>include/linux/spinlock.h</filename>) is a variant
       which saves whether interrupts were on or off in a flags word,
-      which is passed to <function>spin_lock_irqrestore()</function>.  This 
+      which is passed to <function>spin_unlock_irqrestore()</function>.  This
       means that the same code can be used inside an hard irq handler (where
       interrupts are already off) and in softirqs (where the irq
       disabling is required).
diff -puN drivers/usb/serial/digi_acceleport.c~spin_lock_irqrestore-fixes drivers/usb/serial/digi_acceleport.c
--- 25/drivers/usb/serial/digi_acceleport.c~spin_lock_irqrestore-fixes	2003-08-23 15:21:18.000000000 -0700
+++ 25-akpm/drivers/usb/serial/digi_acceleport.c	2003-08-23 15:21:18.000000000 -0700
@@ -218,7 +218,7 @@
 *    interrupt time.
 *  - digi_write_bulk_callback() and digi_read_bulk_callback() are
 *    called directly from interrupts.  Hence spin_lock_irqsave()
-*    and spin_lock_irqrestore() are used in the rest of the code
+*    and spin_unlock_irqrestore() are used in the rest of the code
 *    for any locks they acquire.
 *  - digi_write_bulk_callback() gets the port lock before waking up
 *    processes sleeping on the port write_wait.  It also schedules
@@ -571,7 +571,7 @@ static struct usb_serial_device_type dig
 *
 *  Do spin_unlock_irqrestore and interruptible_sleep_on_timeout
 *  so that wake ups are not lost if they occur between the unlock
-*  and the sleep.  In other words, spin_lock_irqrestore and
+*  and the sleep.  In other words, spin_unlock_irqrestore and
 *  interruptible_sleep_on_timeout are "atomic" with respect to
 *  wake ups.  This is used to implement condition variables.
 */

_
